Subject: Re: bug#63872: [PATCH] `mouse-drag-and-drop-region' sometimes couldn't cut

From: Po Lu <[email-masked]>
Date: Sun, 04 Jun 2023 16:48:00 +0800

Shynur Xie <[email-masked]> writes:

>> From: Po Lu
>> Date: Sun, 04 Jun 2023 08:31:31 +0800
>>   To: Shynur
>>
>>> When I use mouse to drag and drop a selected region, the region is
>>> not cut and pasted; it is copied and pasted instead.
>>
>> With transient-mark-mode on or off?
>
> On, by default.  I used `-Q` to launch Emacs.

Right.  Have you looked at the option
`mouse-drag-and-drop-region-cut-when-buffers-differ'?  I believe you're
experiencing intentional behavior: by default, text is copied when the
buffer which receives the drop is different from its source.